%global gohomepath github.com/docker/compose
%global goipath %{gohomepath}/v2

Summary:        Define and run multi-container applications with Docker
Name:           docker-compose
Version:        2.30.3
Release:        1%{?dist}
License:        Apache-2.0
URL:            https://github.com/docker/compose
Source0:        %{url}/archive/refs/tags/v2.30.3.tar.gz #/%{name}-%{version}.tar.gz
# execute 'go mod vendor' under the source code path can generator vendor package
Source1:        %{name}-vendor.tar.gz

BuildRequires:  golang go-rpm-macros

Requires:       docker docker-compose-switch

%description
Docker Compose is a tool for running multi-container applications
on Docker defined using the Compose file format. A Compose file is
used to define how one or more containers that make up your application
are configured. Once you have a Compose file, you can create and start
your application with a single command: docker compose up.


%prep
%autosetup -p1 -a1 -n compose-%{version}

%build
export GOPATH=$PWD/.gopath
mkdir -p ${GOPATH}/src/%{gohomepath}
ln -sfn $PWD $GOPATH/src/%{goipath}

export CGO_ENABLED=0
export GOFLAGS="-mod=vendor"
export LDFLAGS=" -X github.com/docker/compose/v2/internal.Version=%{version} "
%gobuild -o bin/%{name} %{goipath}/cmd

%install
install -d -m 0755 "%{buildroot}/usr/lib/docker/cli-plugins/"
install -D -m 0755 bin/%{name} "%{buildroot}/usr/lib/docker/cli-plugins/%{name}"

%check
%gocheck -t pkg/e2e

%files
%license LICENSE
%doc README.md
%dir /usr/lib/docker/
%dir /usr/lib/docker/cli-plugins/
/usr/lib/docker/cli-plugins/%{name}

%changelog
* Tue Nov 26 2024 jackeyji <jackeyji@tencent.com> - 2.30.3-1
- [Type] other
- [DESC] upgrade to 2.30.3

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.29.2-6
- Rebuilt for loongarch release

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.29.2-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.29.2-4
- Rebuilt for OpenCloudOS Stream 23.09

* Thu Sep 7 2023 Shuo Wang <abushwang@tencent.com> - 1.29.2-3
- add bootstrap for py3.11

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.29.2-2
- Rebuilt for OpenCloudOS Stream 23.05

* Tue Apr 11 2023 cunshunxia <cunshunxia@tencent.com> - 1.29.2-1
- initial build
